import { jsx } from "react/jsx-runtime";
import { TokenAIN as TokenAIN$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenAIN = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "AIN", "data-name": "TokenAIN", ...props, children: /* @__PURE__ */ jsx(TokenAIN$1, { variant }) });
  }
);
TokenAIN.displayName = "TokenAIN";
Object.assign(TokenAIN, { isGdsIcon: true });
export {
  TokenAIN
};
